Bug 1352587 - Bodhi Non-RPM Artifacts
Summary: Bodhi Non-RPM Artifacts
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Randy Barlow
QA Contact:
URL:
Whiteboard: ChangeAcceptedF27, SelfContainedChange
Depends On:
Blocks: 1474931
TreeView+ depends on / blocked
 
Reported: 2016-07-04 12:00 UTC by Jaroslav Reznik
Modified: 2017-10-24 20:23 UTC (History)
2 users (show)

Fixed In Version: bodhi-3.0.0-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-24 20:23:19 UTC


Attachments (Terms of Use)

Description Jaroslav Reznik 2016-07-04 12:00:50 UTC
This is a tracking bug for Change: Bodhi Non-RPM Artifacts
For more details, see: https://fedoraproject.org//wiki/Changes/BodhiNonRPMArtifacts

Bodhi, the Fedora Updates System, should be able to process more than just RPMs.

Comment 1 Jan Kurik 2016-07-26 04:36:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Jan Kurik 2016-07-26 05:22:27 UTC
On 2016-July-26, we have reached Fedora 25 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-July-29 meeting.

Comment 3 Jan Kurik 2016-08-01 20:20:40 UTC
Based on the FESCo decision deferring this Change to F26: https://fedorahosted.org/fesco/ticket/1606#comment:3

Comment 4 Randy Barlow 2016-10-18 15:41:16 UTC
During a prioritization meeting this morning, it was suggested that this will not be done before Fedora 26. We may need to change it to be against Fedora 27. For Fedora 26, I will attempt to have a plan for doing this developed.

I will comment on the fesco ticket to this effect as well.

Comment 5 Randy Barlow 2016-10-18 15:42:39 UTC
On second thought, that FESCo ticket seems pretty F25 oriented. Jan, do you have suggestions on how I can best communicate that we don't expect to have this done for Fedora 26?

Comment 6 Jan Kurik 2016-10-19 10:25:53 UTC
(In reply to Randy Barlow from comment #5)
> On second thought, that FESCo ticket seems pretty F25 oriented. Jan, do you
> have suggestions on how I can best communicate that we don't expect to have
> this done for Fedora 26?

To have the Change accepted to the scope of F26 it needs to go again through the Change approval process (for F26). As this Change did not went through the process for F26 it is not part of the F26 scope. So, My proposal is to do the following two steps:

1) Send an email to devel@ list to inform people this Change is not going to be implemented in F26 (just in case someone was relaying on it when it was deferred).

2) Switch the Change proposal (the wiki page) to "ChangeReadyForWrangler" category, once you will have it ready, and it will go to the scope of the first possible release.

Let me know if you have any question.
Regards,
Jan

Comment 7 Randy Barlow 2016-10-28 16:28:04 UTC
OK. I have sent the e-mail to devel and updated the page as you described. Thanks Jan!

Comment 8 Fedora End Of Life 2017-02-28 09:59:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 9 Jan Kurik 2017-08-10 06:17:57 UTC
On 2017-Aug-01, we have reached the Fedora 27 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Aug-11 meeting.

Please set this bug to the MODIFIED state to indicate it is already in the testable state, or provide an update describing the current state of implementation for this Change.

Thank you,
Jan

Comment 10 Randy Barlow 2017-08-11 19:17:43 UTC
We agreed in today's meeting that this update isn't quite testable yet, but that we will give it some more time since so many other changes depend on it.

Comment 11 Jan Kurik 2017-08-15 06:38:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 12 Randy Barlow 2017-08-17 13:13:58 UTC
In order to consider this change testable, we need a new content type fully working in Bodhi. We are close to having modules ready, and are only waiting on having the ability to compose module update repos. There's an open pull request for this:

https://github.com/fedora-infra/bodhi/pull/1697

Additionally, there are plans to add support for containers to Bodhi at Flock. This may be easier than modules since Bodhi should be able to use skopeo to publish containers. Thus, if we are able to finish that feature shortly after Flock it would also demonstrate Bodhi's ability to support non-RPM artifacts.

Comment 13 Jan Kurik 2017-09-06 13:38:14 UTC
On 2017-Sep-05 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 27 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 14 Randy Barlow 2017-09-07 18:02:00 UTC
This change is still not testable, and unfortunately we did not add containers to Bodhi at Flock because the person I was to collaborate with to get this done was scheduled to deliver a talk at the same time as my Bodhi session.

As the infrastructure is now in the beta freeze, it may be difficult to get this change in soon.

Comment 15 Randy Barlow 2017-10-19 19:20:51 UTC
bodhi-3.0.0-0.0.beta is deployed to https://bodhi.stg.fedoraproject.org and supports modular mashing!

https://bodhi.stg.fedoraproject.org/docs/release_notes.html

We still need to write some Pungi config files and some variants files for it to test, but the code that can process those configs is deployed and ready.

We are currently planning to test from now through Monday, with a planned Tuesday deployment to production if all goes well.


Note You need to log in before you can comment on or make changes to this bug.